curl --request GET \
--url https://vanguard.profilebehavior.com/api/v4/resource-aliases \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanguard.profilebehavior.com/api/v4/resource-aliases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanguard.profilebehavior.com/api/v4/resource-aliases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"resourceAliases": [
{
"resourceType": "profile",
"resourceId": "6592008029c8c3e4dc76256c",
"consumerKey": "group_1"
}
]
}{
"code": 401,
"error": {
"message": "Invalid token",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}Get All Resource Aliases
Returns every resource alias for your account with filter options available as query parameters.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of profiles to retrieve per paginated request.
The current page of results you are requesting. This indicates how many documents to skip based on the provided limit.
A comma separated list of consumer keys to filter by.
"group1,group2,group3"
A comma separated list of resource IDs to filter by.
"507f1f77bcf86cd799439011,6592008029c8c3e4dc76256c"
A specific resource type to filter by. If not provided will return all resource aliases regardless of type.
profile Response
Success
Standard response object for successful requests that return an array of resources. Used for list endpoints in the Profile Behavior API.
Was this page helpful?